
#include "comb/rgs-maxincr.h"
#include "fxtio.h"
#include "fxttypes.h"

void
rgs_maxincr::print(bool nsq/*=false*/)  const
{
    cout << "[ ";
    for (ulong j=0; j<n_; ++j)  cout << s_[j] << " ";
    cout << "]";

    if ( nsq )
    {
        cout << "    [ ";
        for (ulong j=0; j<n_; ++j)  cout << m_[j] << " ";
        cout << "]";
    }
}
// -------------------------

